Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
cipher_mode.h File Reference
`#include <botan/secmem.h>`
`#include <botan/sym_algo.h>`
`#include <botan/exceptn.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | Botan::Cipher_Mode

## Namespaces
| Botan

## Enumerations
enum | Botan::Cipher_Dir : int { Botan::ENCRYPTION, Botan::DECRYPTION }

## Functions
Cipher_Mode * | Botan::get_cipher_mode (const std::string &algo_spec, Cipher_Dir direction, const std::string &provider="")